## org.apache.fop.pdf
Class PDFFontType0

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFObject
            |
            +--org.apache.fop.pdf.PDFFont
                  |
                  +--org.apache.fop.pdf.PDFFontType0

public class PDFFontType0
extends PDFFont

class representing a Type0 font. Type0 fonts are specified on page 208 and onwards of the PDF 1.3 spec.

Field Summary
`protected PDFCIDFont` `descendantFonts` this should be an array of CIDFont but only the first one is used

Fields inherited from class org.apache.fop.pdf.PDFFont
`basefont, encoding, fontname, MMTYPE1, subtype, TRUETYPE, TYPE_NAMES, TYPE0, TYPE1, TYPE3`

Fields inherited from class org.apache.fop.pdf.PDFObject
`generation, number`

Constructor Summary
`PDFFontType0(int number, java.lang.String fontname, byte subtype, java.lang.String basefont, java.lang.Object encoding)` create the /Font object
`PDFFontType0(int number, java.lang.String fontname, byte subtype, java.lang.String basefont, java.lang.Object encoding, PDFCIDFont descendantFonts)` create the /Font object

Method Summary
`protected void` `fillInPDF(java.lang.StringBuffer p)` fill in the specifics for the font's subtype
`void` `setDescendantFonts(PDFCIDFont descendantFonts)` set the descendant font

Methods inherited from class org.apache.fop.pdf.PDFFont
`createFont, createFont, getName, toPDF`

Methods inherited from class org.apache.fop.pdf.PDFObject
`getNumber, output, referencePDF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### descendantFonts

    protected PDFCIDFont descendantFonts

  this should be an array of CIDFont but only the first one is used

Constructor Detail

### PDFFontType0

    public PDFFontType0(int number,
                        java.lang.String fontname,
                        byte subtype,
                        java.lang.String basefont,
                        java.lang.Object encoding)

  create the /Font object
  Parameters:
    `number` - the object's number
    `fontname` - the internal name for the font
    `subtype` - the font's subtype (PDFFont.TYPE0)
    `basefont` - the base font name
    `encoding` - the character encoding schema used by the font
    `mapping` - the Unicode mapping mechanism

### PDFFontType0

    public PDFFontType0(int number,
                        java.lang.String fontname,
                        byte subtype,
                        java.lang.String basefont,
                        java.lang.Object encoding,
                        PDFCIDFont descendantFonts)

  create the /Font object
  Parameters:
    `number` - the object's number
    `fontname` - the internal name for the font
    `subtype` - the font's subtype (PDFFont.TYPE0)
    `basefont` - the base font name
    `encoding` - the character encoding schema used by the font
    `mapping` - the Unicode mapping mechanism
    `descendantFonts` - the CIDFont upon which this font is based

Method Detail

### setDescendantFonts

    public void setDescendantFonts(PDFCIDFont descendantFonts)

  set the descendant font
  Parameters:
    `descendantFonts` - the CIDFont upon which this font is based

### fillInPDF

    protected void fillInPDF(java.lang.StringBuffer p)

  fill in the specifics for the font's subtype
  Overrides:
    fillInPDF in class PDFFont
  Tags copied from class: PDFFont
  Parameters:
    `begin` - the buffer to be completed with the type specific fields

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.